Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Analyzers/BestOrienteeringSolutionAnalyzer.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Analyzers/BestOrienteeringSolutionAnalyzer.cs	(revision 12721)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Analyzers/BestOrienteeringSolutionAnalyzer.cs	(revision 12721)
@@ -0,0 +1,151 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HeuristicLab.Operators;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.Orienteering {
+  public sealed class BestOrienteeringSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+
+    public IScopeTreeLookupParameter<IntegerVector> IntegerVector {
+      get { return (IScopeTreeLookupParameter<IntegerVector>)Parameters["IntegerVector"]; }
+    }
+    public ILookupParameter<DoubleMatrix> CoordinatesParameter {
+      get { return (ILookupParameter<DoubleMatrix>)Parameters["Coordinates"]; }
+    }
+    public ILookupParameter<DistanceMatrix> DistanceMatrixParameter {
+      get { return (ILookupParameter<DistanceMatrix>)Parameters["DistanceMatrix"]; }
+    }
+    public ILookupParameter<IntValue> StartingPointParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["StartingPoint"]; }
+    }
+    public ILookupParameter<IntValue> TerminalPointParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["TerminalPoint"]; }
+    }
+    public ILookupParameter<DoubleArray> ScoresParameter {
+      get { return (ILookupParameter<DoubleArray>)Parameters["Scores"]; }
+    }
+    public ILookupParameter<DoubleValue> PointVisitingCostsParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters["PointVisitingCosts"]; }
+    }
+
+    public IScopeTreeLookupParameter<DoubleValue> QualityParameter {
+      get { return (IScopeTreeLookupParameter<DoubleValue>)Parameters["Quality"]; }
+    }
+    public IScopeTreeLookupParameter<DoubleValue> PenaltyParameter {
+      get { return (IScopeTreeLookupParameter<DoubleValue>)Parameters["Penalty"]; }
+    }
+    public ILookupParameter<OrienteeringSolution> BestSolutionParameter {
+      get { return (ILookupParameter<OrienteeringSolution>)Parameters["BestSolution"]; }
+    }
+    public IValueLookupParameter<ResultCollection> ResultsParameter {
+      get { return (IValueLookupParameter<ResultCollection>)Parameters["Results"]; }
+    }
+    public ILookupParameter<DoubleValue> BestKnownQualityParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
+    }
+    public ILookupParameter<IntegerVector> BestKnownSolutionParameter {
+      get { return (ILookupParameter<IntegerVector>)Parameters["BestKnownSolution"]; }
+    }
+
+    [StorableConstructor]
+    private BestOrienteeringSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    private BestOrienteeringSolutionAnalyzer(BestOrienteeringSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new BestOrienteeringSolutionAnalyzer(this, cloner);
+    }
+    public BestOrienteeringSolutionAnalyzer()
+      : base() {
+      Parameters.Add(new ScopeTreeLookupParameter<IntegerVector>("IntegerVector", "The Orienteering solutions which should be analysed."));
+      Parameters.Add(new LookupParameter<DoubleMatrix>("Coordinates", "The x- and y-Coordinates of the points."));
+      Parameters.Add(new LookupParameter<DistanceMatrix>("DistanceMatrix", "The matrix which contains the distances between the points."));
+      Parameters.Add(new LookupParameter<IntValue>("StartingPoint", "Index of the starting point."));
+      Parameters.Add(new LookupParameter<IntValue>("TerminalPoint", "Index of the ending point."));
+      Parameters.Add(new LookupParameter<DoubleArray>("Scores", "The scores of the points."));
+      Parameters.Add(new LookupParameter<DoubleValue>("PointVisitingCosts", "The costs for visiting a point."));
+      Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Quality", "The qualities of the Orienteering solutions which should be analyzed."));
+      Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Penalty", "The applied penalty of the Orienteering solutions."));
+      Parameters.Add(new LookupParameter<OrienteeringSolution>("BestSolution", "The best Orienteering solution."));
+      Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the best Orienteering solution should be stored."));
+      Parameters.Add(new LookupParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this Orienteering instance."));
+      Parameters.Add(new LookupParameter<IntegerVector>("BestKnownSolution", "The best known solution of this Orienteering instance."));
+    }
+
+    public override IOperation Apply() {
+      var solutions = IntegerVector.ActualValue;
+      var qualities = QualityParameter.ActualValue;
+      var penalties = PenaltyParameter.ActualValue;
+      var results = ResultsParameter.ActualValue;
+      var bestKnownQuality = BestKnownQualityParameter.ActualValue;
+
+      int bestIndex = qualities.Select((quality, index) => new { index, quality.Value }).OrderByDescending(x => x.Value).First().index;
+
+      if (bestKnownQuality == null || qualities[bestIndex].Value > bestKnownQuality.Value) {
+        BestKnownQualityParameter.ActualValue = new DoubleValue(qualities[bestIndex].Value);
+        BestKnownSolutionParameter.ActualValue = (IntegerVector)solutions[bestIndex].Clone();
+      }
+
+      var solution = BestSolutionParameter.ActualValue;
+      var coordinates = CoordinatesParameter.ActualValue;
+      var startingPoint = StartingPointParameter.ActualValue;
+      var terminalPoint = TerminalPointParameter.ActualValue;
+      var scores = ScoresParameter.ActualValue;
+      var pointVisitingCosts = PointVisitingCostsParameter.ActualValue;
+      var distances = DistanceMatrixParameter.ActualValue;
+      double distance = distances.CalculateTourLength(solutions[bestIndex].ToList(), pointVisitingCosts.Value);
+
+      if (solution == null) {
+        solution = new OrienteeringSolution(
+          (IntegerVector)solutions[bestIndex].Clone(),
+          coordinates,
+          startingPoint,
+          terminalPoint,
+          scores,
+          new DoubleValue(qualities[bestIndex].Value),
+          new DoubleValue(penalties[bestIndex].Value),
+          new DoubleValue(distance));
+        BestSolutionParameter.ActualValue = solution;
+        results.Add(new Result("Best Orienteering Solution", solution));
+      } else {
+        if (solution.Quality.Value < qualities[bestIndex].Value) {
+          solution.Coordinates = coordinates;
+          solution.Scores = scores;
+          solution.IntegerVector = (IntegerVector)solutions[bestIndex].Clone();
+          solution.Quality.Value = qualities[bestIndex].Value;
+          solution.Penalty.Value = penalties[bestIndex].Value;
+          solution.Distance.Value = distance;
+        }
+      }
+
+      return base.Apply();
+    }
+  }
+}
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,4 +30,6 @@
 
 namespace HeuristicLab.Problems.Orienteering {
+  [Item("OrienteeringEvaluator", "Operator to evaluate a solution to the orienteering problem.")]
+  [StorableClass]
   public class OrienteeringEvaluator : InstrumentedOperator, IOrienteeringEvaluator {
 
@@ -82,5 +84,5 @@
     }
 
-    public static OrienteeringEvaluation Apply(IntegerVector solution, DoubleArray scores,
+    public static OrienteeringEvaluationResult Apply(IntegerVector solution, DoubleArray scores,
       DistanceMatrix distances, double maximumDistance, double pointVisitingCosts, double distancePenaltyFactor) {
 
@@ -95,5 +97,5 @@
       double quality = score - penalty;
 
-      return new OrienteeringEvaluation {
+      return new OrienteeringEvaluationResult {
         Quality = new DoubleValue(quality),
         Penalty = new DoubleValue(penalty),
@@ -113,5 +115,5 @@
     }
 
-    public OrienteeringEvaluation Evaluate(IntegerVector solution, DoubleArray scores,
+    public OrienteeringEvaluationResult Evaluate(IntegerVector solution, DoubleArray scores,
       DistanceMatrix distances, double maximumDistance, double pointVisitingCosts) {
       return Apply(solution, scores, distances, maximumDistance, pointVisitingCosts,
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj	(revision 12721)
@@ -10,6 +10,7 @@
     <RootNamespace>HeuristicLab.Problems.Orienteering</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.Orienteering-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -21,4 +22,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -29,4 +31,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup>
@@ -41,5 +44,5 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
     <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x64\Debug\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <DebugType>full</DebugType>
@@ -47,7 +50,8 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
-    <OutputPath>bin\x64\Release\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <Optimize>true</Optimize>
@@ -56,8 +60,9 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
     <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x86\Debug\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <DebugType>full</DebugType>
@@ -65,7 +70,8 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
-    <OutputPath>bin\x86\Release\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <Optimize>true</Optimize>
@@ -74,4 +80,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <ItemGroup>
@@ -82,8 +89,8 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Analyzers\BestOrienteeringSolutionAnalyser.cs" />
+    <Compile Include="Analyzers\BestOrienteeringSolutionAnalyzer.cs" />
     <Compile Include="Creators\GreedyOrienteeringTourCreator.cs" />
     <Compile Include="DistanceMatrix.cs" />
-    <Compile Include="OrienteeringEvaluation.cs" />
+    <Compile Include="OrienteeringEvaluationResult.cs" />
     <Compile Include="Improvers\OrienteeringLocalImprovementOperator.cs" />
     <Compile Include="Interfaces\IOrienteeringEvaluator.cs" />
@@ -91,5 +98,4 @@
     <Compile Include="Interfaces\IOrienteeringSolutionCreator.cs" />
     <Compile Include="OrienteeringProblem.cs" />
-    <Compile Include="OrienteeringScript.cs" />
     <Compile Include="OrienteeringSolution.cs" />
     <Compile Include="Plugin.cs" />
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -33,7 +32,10 @@
 
 namespace HeuristicLab.Problems.Orienteering {
-  [Item("OrienteeringLocalImprovementOperator", @"Iterative improvement consists of three basic operators: shortening, vertex insert and vertex
-exchange. The shortening operator tries to rearrange the vertices within a tour in order to
-minimize the cost of the tour. As shortening operator a 2-opt is applied. (Schilde et. al. 2009)")]
+  /// <summary>
+  /// Iterative improvement consists of three basic operators: shortening, vertex insert and vertex
+  /// exchange. The shortening operator tries to rearrange the vertices within a tour in order to
+  /// minimize the cost of the tour. As shortening operator a 2-opt is applied. (Schilde et. al. 2009)
+  /// </summary>
+  [Item("OrienteeringLocalImprovementOperator", @"Implements the iterative improvement procedure described in Schilde M., Doerner K.F., Hartl R.F., Kiechle G. 2009. Metaheuristics for the bi-objective orienteering problem. Swarm Intelligence, Volume 3, Issue 3, pp 179-201.")]
   [StorableClass]
   public sealed class OrienteeringLocalImprovementOperator : SingleSuccessorOperator, ILocalImprovementOperator {
@@ -125,5 +127,5 @@
       bool useMaxBlockLength = UseMaximumBlockLengthParmeter.Value.Value;
 
-      bool optimizationDone = true;
+      bool solutionChanged = true;
 
       var tour = IntegerVectorParameter.ActualValue.ToList();
@@ -137,6 +139,6 @@
 
       // Check if the tour can be improved by adding or replacing points
-      while (optimizationDone && localIterations.Value < maxIterations) {
-        optimizationDone = false;
+      while (solutionChanged && localIterations.Value < maxIterations) {
+        solutionChanged = false;
 
         if (localIterations.Value == 0)
@@ -152,10 +154,10 @@
         IncludeNewPoints(tour, visitablePoints,
           distances, pointVisitingCosts, maxLength, scores,
-          ref tourLength, ref tourScore, ref evaluations, ref optimizationDone);
+          ref tourLength, ref tourScore, ref evaluations, ref solutionChanged);
 
         // Determine if any of the visitable points can take the place of an already visited point in the tour to improve the scores
         ReplacePoints(tour, visitablePoints,
           distances, maxLength, scores,
-          ref tourLength, ref tourScore, ref evaluations, ref optimizationDone);
+          ref tourLength, ref tourScore, ref evaluations, ref solutionChanged);
 
         localIterations.Value++;
@@ -173,19 +175,19 @@
 
     private void ShortenPath(List<int> tour, DistanceMatrix distances, int maxBlockLength, bool useMaxBlockLength, ref double tourLength, ref int evaluations) {
-      bool optimizationDone = true;
+      bool solutionChanged;
       int pathSize = tour.Count;
       maxBlockLength = (useMaxBlockLength && (pathSize > maxBlockLength + 1)) ? maxBlockLength : (pathSize - 2);
 
       // Perform a 2-opt
-      while (optimizationDone) {
-        optimizationDone = false;
+      do {
+        solutionChanged = false;
 
         for (int blockLength = 2; blockLength < maxBlockLength; blockLength++) {
           // If an optimization has been done, start from the beginning
-          if (optimizationDone) break;
+          if (solutionChanged) break;
 
           for (int position = 1; position < (pathSize - blockLength); position++) {
             // If an optimization has been done, start from the beginning
-            if (optimizationDone) break;
+            if (solutionChanged) break;
 
             evaluations++;
@@ -198,5 +200,6 @@
             newLength += distances[tour[position], tour[position + blockLength]];
 
-            if (newLength < tourLength - 0.00001) { // Avoid cycling caused by precision
+            if (newLength < tourLength - 0.00001) {
+              // Avoid cycling caused by precision
               var reversePart = tour.GetRange(position, blockLength).AsEnumerable().Reverse();
 
@@ -207,21 +210,22 @@
 
               // Re-run the optimization
-              optimizationDone = true;
+              solutionChanged = true;
             }
           }
         }
-      }
-    }
+      } while (solutionChanged);
+    }
+
     private void IncludeNewPoints(List<int> tour, List<int> visitablePoints,
       DistanceMatrix distances, double pointVisitingCosts, double maxLength, DoubleArray scores,
-      ref double tourLength, ref double tourScore, ref int evaluations, ref bool optimizationDone) {
+      ref double tourLength, ref double tourScore, ref int evaluations, ref bool solutionChanged) {
 
       for (int tourPosition = 1; tourPosition < tour.Count; tourPosition++) {
         // If an optimization has been done, start from the beginning
-        if (optimizationDone) break;
+        if (solutionChanged) break;
 
         for (int i = 0; i < visitablePoints.Count; i++) {
           // If an optimization has been done, start from the beginning
-          if (optimizationDone) break;
+          if (solutionChanged) break;
 
           evaluations++;
@@ -239,20 +243,21 @@
 
             // Re-run this optimization
-            optimizationDone = true;
+            solutionChanged = true;
           }
         }
       }
     }
+
     private void ReplacePoints(List<int> tour, List<int> visitablePoints,
       DistanceMatrix distances, double maxLength, DoubleArray scores,
-      ref double tourLength, ref double tourScore, ref int evaluations, ref bool optimizationDone) {
+      ref double tourLength, ref double tourScore, ref int evaluations, ref bool solutionChanged) {
 
       for (int tourPosition = 1; tourPosition < tour.Count - 1; tourPosition++) {
         // If an optimization has been done, start from the beginning
-        if (optimizationDone) break;
+        if (solutionChanged) break;
 
         for (int i = 0; i < visitablePoints.Count; i++) {
           // If an optimization has been done, start from the beginning
-          if (optimizationDone) break;
+          if (solutionChanged) break;
 
           evaluations++;
@@ -274,5 +279,5 @@
 
             // Re-run this optimization
-            optimizationDone = true;
+            solutionChanged = true;
           }
         }
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringEvaluator.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -34,5 +34,5 @@
     ILookupParameter<DoubleValue> PenaltyParameter { get; }
 
-    OrienteeringEvaluation Evaluate(IntegerVector solution, DoubleArray scores,
+    OrienteeringEvaluationResult Evaluate(IntegerVector solution, DoubleArray scores,
       DistanceMatrix distances, double maximumDistance, double pointVisitingCosts);
   }
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Interfaces/IOrienteeringSolutionCreator.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringEvaluationResult.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringEvaluationResult.cs	(revision 12721)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringEvaluationResult.cs	(revision 12721)
@@ -0,0 +1,30 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Data;
+
+namespace HeuristicLab.Problems.Orienteering {
+  public class OrienteeringEvaluationResult {
+    public DoubleValue Quality;
+    public DoubleValue Penalty;
+    public DoubleValue Distance;
+  }
+}
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -34,7 +34,6 @@
 
 namespace HeuristicLab.Problems.Orienteering {
-
-  [Item("Orienteering Problem", "Represents a single objective Orienteering Problem.")]
-  [Creatable("Problems")]
+  [Item("Orienteering Problem", "Represents a single-objective Orienteering Problem.")]
+  [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 115)]
   [StorableClass]
   public sealed class OrienteeringProblem
@@ -106,6 +105,6 @@
       set { BestKnownSolutionParameter.Value = value; }
     }
-    private BestOrienteeringSolutionAnalyser BestOrienteeringSolutionAnalyser {
-      get { return Operators.OfType<BestOrienteeringSolutionAnalyser>().SingleOrDefault(); }
+    private BestOrienteeringSolutionAnalyzer BestOrienteeringSolutionAnalyser {
+      get { return Operators.OfType<BestOrienteeringSolutionAnalyzer>().SingleOrDefault(); }
     }
     #endregion
@@ -268,5 +267,5 @@
     }
     private void InitializeOperators() {
-      Operators.Add(new BestOrienteeringSolutionAnalyser());
+      Operators.Add(new BestOrienteeringSolutionAnalyzer());
       ParameterizeAnalyzer();
 
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs	(revision 12721)
@@ -1,2 +1,23 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using System;
 using System.Drawing;
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Plugin.cs.frame	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Plugin.cs.frame	(revision 12721)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.Orienteering.
   /// </summary>
-  [Plugin("HeuristicLab.Problems.Orienteering", "3.3.10.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.Orienteering", "3.3.11.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.Orienteering-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Properties/AssemblyInfo.cs.frame	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering/3.3/Properties/AssemblyInfo.cs.frame	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.11.$WCREV$")]
